EXTRA_DIST = exec.t quoting.t th Makefile.am \
             mksh.t th-sh version.t README error.t expand.t \
	     token.t nonposix.t parameters.t \
	     utilities.t arithmetic.t # ttylovers.t

SHELL_TO_TEST = ../posh$(exe_suffix)
CATEGORIES_TO_TEST = sh,posix,pdksh,posh,debian,no-history,no-typeset,no-aliases,no-arrays,no-coprocs,no-herestrings,no-ulimit

check test:
	$(srcdir)/th-sh $(srcdir)/th -s $(srcdir) -p $(SHELL_TO_TEST) -C $(CATEGORIES_TO_TEST) $(TESTARGS)
